ALTER TABLE orders ADD reference_id VARCHAR(32)  NOT NULL;
insert into configuration (configuration_title, configuration_key,configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added)  VALUES ('Display Handling Charges', 'DISPLAY_HANDLING_CHARGE', 'False', 'Display handling charge in shipping cost', '7', '0', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now());

INSERT INTO configuration VALUES (NULL,'Checkout Failure retries','CHECKOUT_FAIL_RETRY','3','Number of allowable retries during checkout failure',3,1,'2006-11-14','2006-11-14',NULL,NULL);
ALTER TABLE orders ADD payment_return1 VARCHAR(64)  NOT NULL;
ALTER TABLE orders ADD payment_return2 VARCHAR(64)  NOT NULL;

ALTER TABLE orders CHANGE payment_method payment_method TEXT NOT NULL;
ALTER TABLE orders ADD fulfiller_status VARCHAR(32);

INSERT INTO admin_files VALUES(NULL,'reports_products_reconciliation.php','0','8','1','D','D');

DROP TABLE IF EXISTS main_pages;
CREATE TABLE main_pages (
  page_id int(11) unsigned NOT NULL auto_increment,
  parent_id int(11) unsigned NOT NULL DEFAULT '0' ,
  date_created datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  date_modified datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  sort_order int(11) NOT NULL DEFAULT '0' ,
  page_status tinyint(1) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (page_id)
);

DROP TABLE IF EXISTS main_page_description;
CREATE TABLE main_page_description (
  page_id int(11) unsigned NOT NULL DEFAULT '0' ,
  page_name varchar(250) NOT NULL DEFAULT '' ,
  description text NOT NULL DEFAULT '' ,
  language_id int(11) unsigned NOT NULL DEFAULT '1' ,
  PRIMARY KEY (page_id,language_id)
);

INSERT INTO configuration VALUES(NULL,'Define Mainpage type','DEFINEPAGE_TYPE','Default','Display the mainpage','','15','2006-04-05 20:30:12','0000-00-00 00:00:00',NULL,NULL);

DROP TABLE IF EXISTS events_to_subscriptions;
CREATE TABLE  events_to_subscriptions (
  events_id int(11) NOT NULL DEFAULT '0' ,
  subscription_id int(11) NOT NULL DEFAULT '0' 
);

ALTER TABLE events_attendees_confirm ADD attendees_type CHAR(1)  DEFAULT "E";

ALTER TABLE events ADD subscription_overbook_reserve INT(11)  UNSIGNED DEFAULT "0" NOT NULL;
