<?php
/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/
	require('includes/application_top.php');
	tep_get_last_access_file();require('includes/functions/events_tree.php');	
	
	$action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');
	$events_id = (isset($HTTP_GET_VARS['events_id']) ?(int)$HTTP_GET_VARS['events_id'] : 0);
	$select_id=(isset($HTTP_POST_VARS['select_id']) ?(int)$HTTP_POST_VARS['select_id'] : 0);
	$events_array=tep_get_events_instructor_array_single();
	
	$event_found=true;
	if (sizeof($events_array)<=0){
		$event_found=false;
	} else {
		if ($select_id!=0 && $select_id!=$events_id)
			$events_id=$select_id;
		else if ($select_id==0 && $events_id==0)
			$events_id=$events_array[0]['id'];
	}
			
	switch ($action) {
		case 'setflag':
			if (isset($HTTP_GET_VARS['suID']) && isset($HTTP_GET_VARS['flag'])) {
				$status=$HTTP_GET_VARS['flag'];
				if ($status!=1) $status=0;
				tep_db_query("UPDATE " . TABLE_EVENTS_SURVEYS . " set survey_visibility_flag='" . $status . "' where survey_id='" . (int)$HTTP_GET_VARS['suID'] . "'");
				
				if (USE_CACHE == 'true') {
					tep_reset_cache_block('events_surveys');
				}
			}
			tep_redirect(tep_href_link(FILENAME_EVENTS_SURVEYS, 'events_id=' . $events_id));
			break;
		case 'update_survey':
			if (array_key_exists("survey_visibility_flag", $HTTP_POST_VARS))
				$status = "1";
			else
			   $status = "0";

			$sql_array=array('survey_type'=>tep_db_prepare_input($HTTP_GET_VARS['type']),
							'events_id'=>$events_id,
							'survey_name'=>tep_db_prepare_input($HTTP_POST_VARS['survey_name']),
							'survey_desc'=>tep_db_prepare_input($HTTP_POST_VARS['survey_desc']),
							'survey_time_period'=>tep_db_prepare_input($HTTP_POST_VARS['survey_time_period']),
							'survey_expiration_date'=>tep_db_prepare_input(tep_convert_date_raw($HTTP_POST_VARS['survey_expiration_date'])),
							'survey_visibility_flag'=>tep_db_prepare_input($status)
							);
			tep_db_perform(TABLE_EVENTS_SURVEYS,$sql_array);
			$suID=tep_db_insert_id();
			if (USE_CACHE == 'true') {
				tep_reset_cache_block('events_surveys');
			}
			tep_redirect(tep_href_link(FILENAME_EVENTS_SURVEYS, 'events_id=' . $events_id));
			break;
		case 'delete_survey':
			$delete_id=(isset($HTTP_GET_VARS['suID'])?(int)$HTTP_GET_VARS['suID']:0);
			if ($delete_id>0){
				tep_delete_survey($delete_id);
				if (USE_CACHE == 'true') {
					tep_reset_cache_block('events_surveys');
					tep_reset_cache_block('events_surveys_choice');
					tep_reset_cache_block('events_surveys_question');
					tep_reset_cache_block('events_surveys_text');
					tep_reset_cache_block('events_surveys_flag');
				}
			}
			tep_redirect(tep_href_link(FILENAME_EVENTS_SURVEYS,'events_id=' . $events_id));
			break;
	 }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="javascript" src="includes/event_select.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script language="JavaScript1.3" type="text/javascript">
<!--
	function validateFormSettings( theForm ) {
		if ( theForm.survey_name.value == ""){
			alert( "<?php echo ERR_SURVEY_NAME; ?>");
			theForm.survey_name.focus(); 
			return ( false );
		}    
		if ( theForm.survey_time_period.value < 1 || theForm.survey_time_period.value > 12){
			alert( "<?php echo ERR_SURVEY_LIMIT; ?>");
			theForm.survey_time_period.focus(); 
			return ( false );
		}
		return ( true );
	}
//--></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2" id="holetable">
	<tr>
		<td width="<?php echo BOX_WIDTH; ?>" valign="top">
		<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
			<!-- left_navigation //-->
			   <?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
			<!-- left_navigation_eof //-->
		</table>
		</td>
		<!-- body_text //-->	  
		<td width=100% align=left valign="top" id="formtable">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<?php 
		if ($event_found==true) {  
			if ($action=='new_survey') { 
				$parameters=array('survey_name'=>'',
				'survey_desc'=>'',
				'survey_time_period'=>'',
				'survey_expiration_date'=>date('Y-m-d',time()),
				'survey_visibility_flag'=>'0');
				$suInfo=new objectInfo($parameters);
				$survey_event=array('RV'=>TEXT_RV,'WV'=>TEXT_WV,'FV'=>TEXT_FV,'CD'=>TEXT_CD);
		?>
			<tr>
				<td class="pageHeading"><?php echo TEXT_HEADING_NEW_TITLE; ?></td>  
			</tr>
			<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','15'); ?></td></tr>
			<tr>
				<td>
					<table border="0" cellspacing="2" cellpadding="2" class="formArea">
					<?php echo tep_draw_form('new_survey',FILENAME_EVENTS_SURVEYS,'events_id=' . $events_id . '&action=update_survey&type=' . $HTTP_GET_VARS['type'],'post','onSubmit="return validateFormSettings(this)"'); ?>
						<tr>
							<td class="main" width=100><?php echo TEXT_SURVEY_EVENT; ?></td>
							<td class="main"><?php echo tep_get_events_name($events_id); ?></td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','15'); ?></td></tr>
						<tr>
							<td class="main" width=100><?php echo TEXT_TYPE; ?></td>
							<td class="main"><?php echo $survey_event[$HTTP_GET_VARS['type']]; ?></td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','15'); ?></td></tr>
						<tr>
							<td class="main" width=100><?php echo TEXT_SURVEY_TITLE; ?></td>
							<td class="main"><?php echo tep_draw_input_field('survey_name','','size=40'); ?></td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','15'); ?></td></tr>
						<tr valign="top">
							<td class="main"><?php echo TEXT_SURVEY_DESCRIPTION; ?></td>
							<td class="main"><?php echo tep_draw_textarea_field('survey_desc','','40','4'); ?></td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td></tr>
						<tr><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
							<td class="main"><?php echo TEXT_SURVEY_EXPIRES; ?><br><small>(YYYY-MM-DD)</small></td>
							<td class="main"><?php echo tep_draw_input_field("survey_expiration_date",format_date($suInfo->survey_expiration_date),"size=10",false,'text',false);?>
							<a href="javascript:show_calendar('new_survey.survey_expiration_date',null,null,'<?php echo $date_format;?>');"
						      onmouseover="window.status='Date Picker';return true;"
						      onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						    </a>
						</tr>
	        			<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td></tr>
						<tr>
							<td class="main"><?php echo TEXT_SURVEY_LIMIT; ?></td>
							<td class="main"><?php echo tep_draw_input_field('survey_time_period','','size=6'); ?></td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td></tr>
						<tr>
							<td></td>
							<td class="main"><?php echo tep_draw_checkbox_field('survey_visibility_flag','1') . '&nbsp;' . TEXT_SURVEY_VISIBLE;?></td>
						</tr>
						<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','5'); ?></td></tr>
						<tr>
							<td  colspan="2" class="main" align=right>
							<?php 	echo '<a href="' . tep_href_link(FILENAME_EVENTS_SURVEYS) . '">' . tep_image_button('button_cancel.gif',IMAGE_CANCEL) . '<a>&nbsp';
									echo tep_image_submit('button_update.gif',IMAGE_UPDATE_SURVEY);
							?>
						<tr>
					</table>
					</td>
				</tr>
				</form>
	<?php } else { ?>
		<tr><td class="pageHeading"><?php echo TEXT_HEADING_EVENT ?></td></tr>
		<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10');?></td></tr>
			<tr>
				<td><?php echo tep_draw_form('select_event',FILENAME_EVENTS_SURVEYS); 
							$selected_name="";
				?>
				<table border="0" cellspacing="0" cellpadding="2">
					<div id="event_list" style="position:absolute;left:242px;top:130px;display:none;width:400px">
						<?php echo tep_draw_event_select_menu('select_id',$events_array,$events_id,'size=10 onClick="javascript:setListboxText(0);toggleList(0);" onFocus="javascript:toggleList(1);" onBlur="javascript:toggleList(0);" class="customerSelect"');?>
					</div>
					<tr height=20>
						<td class="main" width="100"><?php echo TEXT_SELECT_EVENT;?></td>
						<td class="main"><?php echo tep_draw_input_field('select_text',$selected_name,'onFocus="javascript:toggleText(1);" onBlur="javascript:toggleText(0);" style="width:400px"');?></td>
						<td class="main" valign=center><?php echo tep_image_submit('button_select_event.gif',IMAGE_SELECT,'align=absmiddle size=');?></td>
					</tr>
				</table>
				</form>
				<script language="JavaScript">
					if(na6) document.select_event.select_text.addEventListener("keyup",selectList,true);
					if(iex) document.select_event.select_text.onkeyup=selectList;
					if(na6) document.select_event.select_text.addEventListener("keydown",scrollList,true);
					if(iex) document.select_event.select_text.onkeydown=scrollList;
				</script>
				</td>
			</tr>
		<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10');?></td></tr>
		<tr>
			<td class="pageHeading"><?php echo sprintf(TEXT_HEADING_TITLE,tep_get_events_name($events_id)); ?></td>  
		</tr>
		<tr><td><?php echo tep_draw_separator('pixel_trans.gif','1','10'); ?></td></tr>
		<tr>
			<td valign="top">
				<table border="0" width="100%" cellspacing="0" cellpadding="0" valign="top">
					<tr>
						<td valign="top">
						<table border="0" width=100% align="left" valign="top" cellspacing="0" cellpadding="2">
							<tr class="dataTableHeadingRow">
								<td class="dataTableHeadingContent" width=200><?php echo TEXT_SURVEY_TYPE ;?></td>
								<td class="dataTableHeadingContent"><?php echo TEXT_SURVEY_NAME ;?></td>
								<td class="dataTableHeadingContent" width=150><?php echo TEXT_SURVEY_ACTION ;?></td>
								<td class="dataTableHeadingContent" width=100><?php echo TEXT_STATUS; ?></td>
							</tr>
<?php
   $survey_event=array('RV'=>TEXT_RV,'WV'=>TEXT_WV,'FV'=>TEXT_FV,'CD'=>TEXT_CD);

   while(list($type,$value)=each($survey_event)){
        $sql="SELECT survey_name,survey_id,survey_visibility_flag,survey_expiration_date,survey_type from " . TABLE_EVENTS_SURVEYS . " where events_id='" . $events_id . "' and survey_type='" . $type . "'";
        $survey_query = tep_db_query($sql);
	$cnt=tep_db_num_rows($survey_query);
	$survey_name="";
	if ($cnt>0){
          $surveys = tep_db_fetch_array($survey_query); 
	  $survey_name=$surveys['survey_name'];
        }
?>
        <tr class="dataTableRow">
	   <td class="dataTableContent"><?php echo $value; ?></td>
	   <td class="dataTableContent"><?php echo $survey_name; ?></td>
	   <td class="dataTableContent" width="250">
		<?php
		if ($cnt<=0){
			echo '<a href="' . tep_href_link(FILENAME_EVENTS_SURVEYS,'action=new_survey&events_id=' . $events_id . '&type=' . $type) . '">' . tep_image_button('button_admin_add.gif',IMAGE_ADD_SURVEY) . '</a>';
		} else {
			echo '<a href="' . tep_href_link(FILENAME_EVENTS_SURVEYS_EDIT,'suID=' . $surveys['survey_id']) . '">' . tep_image_button('button_admin_modify.gif',IMAGE_MODIFY_SURVEY) . '</a>&nbsp;';
			echo '<a href="' . tep_href_link(FILENAME_EVENTS_REPORTS_SURVEYS_SUMMARY,'events_id=' . $events_id . '&survey_type=' . $surveys['survey_type'] . '&survey_in=1') . '">' . tep_image_button('button_reports.gif',IMAGE_REPORTS) . '<a>&nbsp;';
			echo '<a href="' . tep_href_link(FILENAME_EVENTS_SURVEYS,'events_id=' . $events_id . '&suID=' . $surveys['survey_id'] . '&action=delete_survey') . '">' . tep_image_button('button_delete.gif',IMAGE_DELETE_SURVEY) . '</a>';
		}
		?>
          <td class="dataTableContent">
          <?php 
	     if ($cnt>0){
	      if ($surveys['survey_visibility_flag'] == '1') {
                  echo tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_EVENTS_SURVEYS, 'events_id=' . $events_id . '&action=setflag&flag=0&suID=' . $surveys['survey_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
              } else {
                  echo '<a href="' . tep_href_link(FILENAME_EVENTS_SURVEYS, 'events_id=' . $events_id . '&action=setflag&flag=1&suID=' . $surveys['survey_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
              } 
	     }
          ?>
  </td>
  </tr>
<?php } ?>
      </table></td></tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
		<tr>
			<td><?php echo '<a href="' . tep_href_link(FILENAME_EVENTS_COPY_SURVEYS,'eID=' . $events_id) . '">' . tep_image_button("button_copy_surveys.gif",IMAGE_COPY_SURVEYS) . '</a>';?></td>		
		</tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
     </table></td>
   </tr></table>
<!-- body_text_eof //-->
  <?php } } else { ?>
   <tr><td class="pageHeading"><?php echo TEXT_HEADING_EMPTY_EVENTS ;?></td></tr>
<?php } ?>

</tr></table>
<!-- body_eof //-->
</td></table></tr>
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>